Create a time-off request in hours. It is routed to the employee's manager for approval.
Supabase browser session cookie. Supabase may split larger session values into chunked cookies like sb-auth-token.0.
In: cookie
uuidapplication/json
The time-off request.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/organizations/123/time-off-requests" \ -H "Content-Type: application/json" \ -d '{ "timeOffTypeId": "8506ed76-43a7-45a4-95d8-afc0870f803b", "startsOn": "2019-08-24", "endsOn": "2019-08-24", "startPart": "full", "endPart": "full", "note": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "employeeId": "b0e78c8f-8c8b-4410-8293-9239e39d9e17", "employee": { "employeeId": "b0e78c8f-8c8b-4410-8293-9239e39d9e17", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "displayName": "string", "avatarUrl": "string", "jobTitle": "string" }, "timeOffTypeId": "8506ed76-43a7-45a4-95d8-afc0870f803b", "typeName": "string", "typeCategory": "vacation", "typeColor": "string", "startsOn": "2019-08-24", "endsOn": "2019-08-24", "startPart": "full", "endPart": "full", "startTime": "string", "endTime": "string", "hours": 0, "status": "pending", "note": "string", "hasAttachment": true, "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "string", "decisionNote": "string", "cancelledAt": "string", "createdAt": "string", "needsRecalculation": true, "canDecide": true, "masked": true, "deductsBalance": true, "balanceAfterApproval": 0, "allowedNegativeHours": 0}uuiduuiddatedate"full"Value in
"full"Value in
length <= 2000